
Foreman - Feature #15234

Query which groups have a particular role.

05/31/2016 05:38 AM - Steve Traylen

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Search   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.11.2

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3610

  

Description

While it is possible to query which users have a particular role it is not possible to query via API or UI which which groups have

a particular role.

For reference workaround is:

foreman-rake console , then "Role.find_by_name('Site manager').usergroups

Associated revisions

Revision 6c894750 - 06/24/2016 07:20 AM - Ori Rabin

Fixes #15234 - search usergroup by role

History

#1 - 05/31/2016 05:48 AM - Dominic Cleal

- Category set to Search

#2 - 06/23/2016 02:14 PM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#3 - 06/23/2016 02:21 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3610 added

#4 - 06/24/2016 08:02 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6c894750639dd87726bcda758ae5cf3c38b3de5e.

#5 - 06/27/2016 08:03 AM - Dominic Cleal

- translation missing: en.field_release set to 160
